function RegisterSafeArea()
    local safe_mg = '09_Tails'
    
    if not HasGameState('MiniGameCompleted', safe_mg) then
        play_field:GetObject('seyf_otkryty'):SetVisible(false);
        
        LinkScene(  'area_safe',
                    'CursorGlass',
                    'data/Scenes/Minigames/09_Tails.lua',
                    false);
    else
        play_field:GetObject('seyf_zakryty' ):SetVisible(false);
        play_field:GetObject('area_safe'    ):SetVisible(false);
        play_field:GetObject('Key'          ):SetVisible(true);
    end
end

function OnSceneLoad(screen)
    LoadData(screen)
    DefaultOnSceneLoad('data/Scenes/09_Bank_Office_Cupboard_HO.lua', 'hidden_object', 'data/Scenes/09_Bank_Office_Main.lua')
    
    play_field:GetObject('sprait_yashika_2' ):SetOpacity(0.);
    play_field:GetObject('sprait_yashika_4' ):SetOpacity(0.);
    play_field:GetObject('Binocular'        ):SetOpacity(0.);
    play_field:GetObject('sunduk_otkryty'   ):SetOpacity(0.);
    play_field:GetObject('sprait_yashika'   ):SetOpacity(0.);
    play_field:GetObject('curtain'          ):GetAnimation():Stop();
    play_field:GetObject('dvertsa'          ):GetAnimation():Stop();
    
    play_field:GetObject('Clipper'  ):SetVisible(false);
    play_field:GetObject('Key'      ):SetVisible(false);
    
    play_field:IgnoreOnTestPoint('curtain');
    
    RegisterActiveObject('area_yashik1',    function(obj_name)
                                                play_field:GetObject('area_yashik1'     ):SetVisible(false);
                                                play_field:GetObject('sprait_yashika_2' ):ChangeOpacity(0., 1., 0.3);
                                                play_field:GetObject('sprait_yashika_4' ):ChangeOpacity(0., 1., 0.3);
                                                play_field:GetObject('Binocular'        ):ChangeOpacity(0., 1., 0.3);
                                                
                                                PlaySound('09_PullOutCupboard');
                                            end,
                                            
                                            function(obj_name)
                                                play_field:GetObject('area_yashik1'     ):SetVisible(false);
                                                play_field:GetObject('sprait_yashika_2' ):SetOpacity(1.);
                                                play_field:GetObject('sprait_yashika_4' ):SetOpacity(1.);
                                                play_field:GetObject('Binocular'        ):SetOpacity(1.);
                                            end);
                            
    RegisterActiveObject('area_curtain',    function(obj_name)
                                                play_field:GetObject('area_curtain'):SetVisible(false);
                                                
                                                local curtain_anim = play_field:GetObject('curtain'):GetAnimation();
                                                curtain_anim:SetMode(HGEANIM_FWD + HGEANIM_NOLOOP);
                                                curtain_anim:Play();
                                                
                                                PlaySound('09_OpenCurtain');
                                                
                                                RegisterSafeArea();
                                                AddNoteToNotebook('BANK_OFFICE');
                                            end,
                                            
                                            function(obj_name)
                                                play_field:GetObject('area_curtain'):SetVisible(false);
                                                
                                                local curtain_anim = play_field:GetObject('curtain'):GetAnimation();
                                                curtain_anim:SetFrame(curtain_anim:GetFrames() - 1);
                                                
                                                RegisterSafeArea();
                                            end);                        
                            
    
    RegisterActiveObject('area_tumba',      function(obj_name)
                                                play_field:GetObject('area_tumba'):SetVisible(false);
                                                play_field:GetObject('Clipper'):SetVisible(true);
                                                
                                                local door_anim = play_field:GetObject('dvertsa'):GetAnimation();
                                                door_anim:SetMode(HGEANIM_FWD + HGEANIM_NOLOOP);
                                                door_anim:Play();
                                                
                                                PlaySound('09_OpenCupboard');
                                            end,
                                            
                                            function(obj_name)
                                                play_field:GetObject('area_tumba'):SetVisible(false);
                                                play_field:GetObject('Clipper'):SetVisible(true);
                                                
                                                local door_anim = play_field:GetObject('dvertsa'):GetAnimation();
                                                door_anim:SetFrame(door_anim:GetFrames() - 1);
                                            end);
    
    RegisterActiveObject('area_shkatulka',  function(obj_name)
                                                play_field:GetObject('area_shkatulka'):SetVisible(false);
                                                play_field:GetObject('sunduk_otkryty'):ChangeOpacity(0., 1., 0.3);
                                                
                                                PlaySound('09_OpenChestLittle');
                                            end,
                                            
                                            function(obj_name)
                                                play_field:GetObject('area_shkatulka'):SetVisible(false);
                                                play_field:GetObject('sunduk_otkryty'):SetOpacity(1.);
                                            end);
    
    RegisterActiveObject('area_yashik2',    function(obj_name)
                                                play_field:GetObject('area_yashik2'  ):SetVisible(false);
                                                play_field:GetObject('sprait_yashika'):ChangeOpacity(0., 1., 0.3);
                                                
                                                PlaySound('09_PullOutCupboard');
                                            end,
                                            
                                            function(obj_name)
                                                play_field:GetObject('area_yashik2'  ):SetVisible(false);
                                                play_field:GetObject('sprait_yashika'):SetOpacity(1.);
                                            end);
    
    SetIgnoreOnHinting('area_yashik2', true);
    SetIgnoreOnHinting('area_shkatulka', true);
    
    AddTask(CreateTask('KEY',       '',            'Key'));
    AddTask(CreateTask('CLIPPER',   '',            'Clipper'));
    AddTask(CreateTask('BINOCULAR', '',            'Binocular'));
    AddTask(CreateTask('HAND',      'HANDS',       'Palm', 'Palm1', 'Palm2', 'Palm3'));
    AddTask(CreateTask('BUTTERFLY', 'BUTTERFLIES', 'Butterfly', 'Butterfly1', 'Butterfly2', 'Butterfly3'));
    
    AddRandomTasks( CreateTask('BEADS',         '', 'Beads'),
                    CreateTask('STRIPED_TIE',   '', 'Cravat'),
                    CreateTask('BOW_TIE',       '', 'Cravat_bow'),
                    CreateTask('LOCK',          '', 'Lock'),
                    CreateTask('PLUME',         '', 'Plume'),
                    CreateTask('RIFLE',         '', 'Rifle'),
                    CreateTask('NAPKIN',        '', 'Shawl'),
                    CreateTask('SHOE',          '', 'Shoe'),
                    CreateTask('SMALL_HAMMER',  '', 'Small_hammer'),
                    CreateTask('SPIDER',        '', 'Spider'),
                    CreateTask('SPOON',         '', 'Spoon'),
                    CreateTask('WALKING_STICK', '', 'Stick'),
                    CreateTask('SUN',           '', 'Sun'),
                    CreateTask('UMBRELLA',      '', 'Umbrella'),
                    CreateTask('PISTOL',        '', 'Pistol'));
             
    RegisterToolFindInfo('09_key', nil, nil, nil);
    
    if not HasGameState('ToolApplied', '09_tail')
        or HasGameState('MiniGameCompleted', '09_Tails')
    then
        play_field:GetObject('Layer_five'):SetVisible(false);
    end
end

function OnSceneFree(screen)
    DefaultOnSceneFree()
    FreeData(screen)
end

function OnUpdate(dt)
    DefaultOnUpdate(dt)
end

function OnAllItemsFound()
    DefaultOnAllItemsFound()
end

function OnLose()
    DefaultOnLose()
end

function OnExit()
    DefaultOnExit()
end

function OnClose()
    DefaultOnClose()
end

function OnObjectMouseEnter(object)
    DefaultOnObjectMouseEnter(object)
end

function OnObjectMouseLeave(object)
    DefaultOnObjectMouseLeave(object)
end

function OnObjectMouseDown(object)
    local is_wrong_click = not DefaultOnObjectMouseDown(object)
    local obj_name = object:GetName()
    local pf = play_field

    DefaultOnObjectMouseDownProcessed(is_wrong_click);
end

function OnObjectMouseUp(object)
    DefaultOnObjectMouseUp(object)
end

function OnObjectFound(object)
    DefaultOnObjectFound(object)
end

function OnToolFound(tool)
    DefaultOnToolFound(tool)
end

function OnToolApply(tool, object)
    DefaultOnToolApply(tool, object)
end

function OnObjectReachPanel(object)
    DefaultOnObjectReachPanel(object)
end

function OnButtonPress(title)
    DefaultOnButtonPress(title)
end

function OnMouseMove(previous_pos, current_pos)
    DefaultOnMouseMove(previous_pos, current_pos)
end

function OnSetTool(tool)
    DefaultOnSetTool(tool)
end

function LevelLoaded(level)
end

function OnSceneDestroy(playfield)
    DefaultOnSceneDestroy(playfield)
end

--------------------------------------------------------------------------------
-- CLEAR_ON_SAVE_BEGIN
-- Do not edit code listed below (generated by the editor on each save)
function LoadData(screen)
	local anim = CreateAnimation('data/Texture/Scenes/09_Bank_Office/Zone_HO/Layers/background.jpg',0,0,1024,768,1,0)
	anim:SetHotSpot(512,384)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('background',anim,512,384,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_Bank_Office/Zone_HO/Items/Beads.png',0,0,54,62,1,0)
	anim:SetHotSpot(27,31)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Beads',anim,765,134,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_Bank_Office/Zone_HO/Items/Binocular.png',0,0,60,44,1,0)
	anim:SetHotSpot(30,22)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Binocular',anim,288,529,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_Bank_Office/Zone_HO/Items/Butterfly.png',0,0,73,52,1,0)
	anim:SetHotSpot(36,26)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Butterfly',anim,123,481,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_Bank_Office/Zone_HO/Items/Clipper.png',0,0,56,32,1,0)
	anim:SetHotSpot(28,16)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Clipper',anim,523,584,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_Bank_Office/Zone_HO/Items/Cravat.png',0,0,74,159,1,0)
	anim:SetHotSpot(37,79)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Cravat',anim,79,588,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_Bank_Office/Zone_HO/Items/Cravat_bow.png',0,0,64,49,1,0)
	anim:SetHotSpot(32,24)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Cravat_bow',anim,695,466,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_Bank_Office/Zone_HO/Items/Lock.png',0,0,40,65,1,0)
	anim:SetHotSpot(20,32)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Lock',anim,871,615,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_Bank_Office/Zone_HO/Items/Palm.png',0,0,45,64,1,0)
	anim:SetHotSpot(22,32)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Palm',anim,877,157,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_Bank_Office/Zone_HO/Items/Plume.png',0,0,75,103,1,0)
	anim:SetHotSpot(37,51)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Plume',anim,657,543,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_Bank_Office/Zone_HO/Items/Rifle.png',0,0,82,325,1,0)
	anim:SetHotSpot(41,162)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Rifle',anim,187,571,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_Bank_Office/Zone_HO/Items/Shawl.png',0,0,55,88,1,0)
	anim:SetHotSpot(27,44)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Shawl',anim,716,89,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_Bank_Office/Zone_HO/Items/Shoe.png',0,0,87,72,1,0)
	anim:SetHotSpot(43,36)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Shoe',anim,764,583,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_Bank_Office/Zone_HO/Items/Small_hammer.png',0,0,108,48,1,0)
	anim:SetHotSpot(54,24)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Small_hammer',anim,454,456,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_Bank_Office/Zone_HO/Items/Spider.png',0,0,63,60,1,0)
	anim:SetHotSpot(31,30)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Spider',anim,96,44,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_Bank_Office/Zone_HO/Items/Spoon.png',0,0,80,37,1,0)
	anim:SetHotSpot(40,18)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Spoon',anim,660,652,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_Bank_Office/Zone_HO/Items/Stick.png',0,0,129,305,1,0)
	anim:SetHotSpot(64,152)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Stick',anim,779,540,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_Bank_Office/Zone_HO/Items/Sun.png',0,0,57,51,1,0)
	anim:SetHotSpot(28,25)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Sun',anim,404,503,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_Bank_Office/Zone_HO/Items/Umbrella.png',0,0,81,231,1,0)
	anim:SetHotSpot(40,115)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Umbrella',anim,456,586,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_Bank_Office/Zone_HO/Layers/sprait_sumki.png',0,0,61,72,1,0)
	anim:SetHotSpot(30,36)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sprait_sumki',anim,632,572,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_Bank_Office/Zone_HO/Layers/seyf_zakryty.png',0,0,165,132,1,0)
	anim:SetHotSpot(82,66)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('seyf_zakryty',anim,373,186,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_Bank_Office/Zone_HO/Layers/sprait_vazy.png',0,0,81,100,1,0)
	anim:SetHotSpot(40,50)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sprait_vazy',anim,277,378,114,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/area.png',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('area_yashik1',anim,277,520,104,0,10,7)
	local anim = CreateAnimation('data/Texture/Scenes/Common/area.png',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('area_tumba',anim,536,581,103,0,10,17)
	local anim = CreateAnimation('data/Texture/Scenes/Common/area.png',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('area_shkatulka',anim,352,406,113,0,11,8)
	local anim = CreateAnimation('data/Texture/Scenes/Common/area.png',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('area_yashik2',anim,535,489,103,0,10,5)
	local anim = CreateAnimation('data/Texture/Scenes/Common/area.png',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('area_curtain',anim,356,188,111,0,25,30)
	local anim = CreateAnimation('data/Texture/Scenes/09_Bank_Office/Zone_HO/Animations/dvertsa.png',0,0,130,175,5,12)
	anim:SetHotSpot(65,87)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('dvertsa',anim,554,584,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_Bank_Office/Zone_HO/Layers/sprait_botinka.png',0,0,112,147,1,0)
	anim:SetHotSpot(56,73)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sprait_botinka',anim,820,569,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_Bank_Office/Zone_HO/Items/Pistol.png',0,0,108,113,1,0)
	anim:SetHotSpot(54,56)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Pistol',anim,243,343,112,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_Bank_Office/Zone_HO/Layers/seyf_otkryty.png',0,0,151,152,1,0)
	anim:SetHotSpot(75,76)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('seyf_otkryty',anim,370,185,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/area.png',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('area_safe',anim,376,185,105,0,17,17)
	local anim = CreateAnimation('data/Texture/Scenes/09_Bank_Office/Zone_HO/Layers/sprait_krjuchka.png',0,0,14,20,1,0)
	anim:SetHotSpot(7,10)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sprait_krjuchka',anim,379,161,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/Animations/candle.png',0,0,20,40,25,20)
	anim:SetHotSpot(10,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('candle',anim,488,290,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/Animations/candle.png',0,0,20,40,25,15)
	anim:SetHotSpot(10,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('candle2',anim,454,302,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/Animations/candle.png',0,0,20,40,25,17)
	anim:SetHotSpot(10,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('candle3',anim,420,282,112,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_Bank_Office/Zone_HO/Animations/curtain.png',0,0,310,425,5,12)
	anim:SetHotSpot(155,212)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('curtain',anim,371,231,110,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_Bank_Office/Zone_HO/Layers/sunduk_otkryty.png',0,0,117,98,1,0)
	anim:SetHotSpot(58,49)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sunduk_otkryty',anim,350,402,112,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_Bank_Office/Zone_HO/Layers/ruchka.png',0,0,38,26,1,0)
	anim:SetHotSpot(19,13)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('ruchka',anim,350,377,111,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_Bank_Office/Zone_HO/Layers/sprait_svechi.png',0,0,22,93,1,0)
	anim:SetHotSpot(11,46)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sprait_svechi',anim,420,319,111,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_Bank_Office/Zone_HO/Items/Key.png',0,0,53,80,1,0)
	anim:SetHotSpot(26,40)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Key',anim,377,187,103,0,0.7,0.7)
	local anim = CreateAnimation('data/Texture/Scenes/09_Bank_Office/Zone_HO/Layers/sprait_yashika_2.png',0,0,116,91,1,0)
	anim:SetHotSpot(58,45)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sprait_yashika_2',anim,288,537,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_Bank_Office/Zone_HO/Layers/sprait_yashika_4.png',0,0,116,91,1,0)
	anim:SetHotSpot(58,45)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sprait_yashika_4',anim,288,537,103,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_Bank_Office/Zone_HO/Layers/sprait_yashika.png',0,0,116,91,1,0)
	anim:SetHotSpot(58,45)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sprait_yashika',anim,543,505,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_Bank_Office/Zone_HO/Items/Butterfly1.png',0,0,49,40,1,0)
	anim:SetHotSpot(24,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Butterfly1',anim,647,290,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_Bank_Office/Zone_HO/Items/Butterfly2.png',0,0,104,108,1,0)
	anim:SetHotSpot(52,54)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Butterfly2',anim,681,592,103,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_Bank_Office/Zone_HO/Items/Butterfly3.png',0,0,55,51,1,0)
	anim:SetHotSpot(27,25)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Butterfly3',anim,923,347,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_Bank_Office/Zone_HO/Items/Palm1.png',0,0,36,63,1,0)
	anim:SetHotSpot(18,31)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Palm1',anim,827,562,103,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_Bank_Office/Zone_HO/Items/Palm2.png',0,0,52,60,1,0)
	anim:SetHotSpot(26,30)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Palm2',anim,46,339,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_Bank_Office/Zone_HO/Items/Palm3.png',0,0,43,50,1,0)
	anim:SetHotSpot(21,25)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Palm3',anim,370,575,108,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_Bank_Office/Zone_HO/Layers/BG_Cravat.png',0,0,53,40,1,0)
	anim:SetHotSpot(26,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_Cravat',anim,103,525,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_Bank_Office/Zone_HO/Layers/Layer_five.png',0,0,20,22,1,0)
	anim:SetHotSpot(10,11)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Layer_five',anim,380,204,105,0,1,1)
end

function FreeData(screen)
end
-- CLEAR_ON_SAVE_END
